Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06902 Gameplay Major Always Mar 6, 2018, 23:05 12 days ago
Tester Gryzor1363 View Status Public Platform MAME (Unofficial Binary)
Assigned To Resolution Open OS Windows Vista/7/8 (64-bit)
Status [?] Confirmed Driver nes.cpp
Version 0.195 Fixed in Version Build 64-bit
Summary MESS-specific 06902: nes [timelord and clones]: Time Lord is unplayable upon level 1 start (all regions)
Description Once past the title screens and the text intro sequence detailing the upcoming mission, beyond the fact that graphics, sprites and status bar are completely corrupt, full of garbage and random glitching as the character moves, it is almost impossible to play, because of the below :

-Character sprite is completely corrupt and seems to "slide" on the ground while moving, cannot perform basic actions such as punching or jumping, some very limited mouvement is possible, yet curtailed along an imaginary "isometric rectangle" spanning a part of the starting area.
 
-Enemies do not spawn at all, thus nothing interacts with the character, which can subsequently remain there endlessly in the blocked area, and so wherever you manage to position it. None of this is compliant with the original behavior of the game at this point, disqualifying in my humble view a purely video issue.
Steps To Reproduce Simply get past the title and mission briefing and attempt playthrough. You will always get the same results described above.
Additional Information Bugs observed and reproduced with MAMEUI64 0.195.
Flags
Regression Version
Affected Sets / Systems nes [timelord and clones]
Attached Files
png file icon 0005.png (2,006,066 bytes) Mar 6, 2018, 23:05 Uploaded by Gryzor1363
Playable area with glitchy sprite & status
Relationships
There are no relationship linked to this issue.
Notes
13
User avatar
No.14807
Tafoid
Administrator
Mar 7, 2018, 01:34
If you will be making snapshots, use MAME's internal snapshot creator (F12).
User avatar
No.14808
Robbbert
Developer
Mar 7, 2018, 10:27
Tried current MAME git, after the intro messages I got a black screen with music playing, and loss of controls.

>mame nes timelord
User avatar
No.14809
Tafoid
Administrator
Mar 7, 2018, 10:32
That is because "timelord" is Euro (PAL) and the NES machine is NTSC.
- mame nes timelordu
- mame nespal timelord

The softlists for many of the consoles are Euro-centric and don't match up with the parent/clone setup of the machines in MAME. Not a problem with arcades consoles/computers always had to have software synced to display for its region. That said, I am slowly working on converting the softlist issue.
User avatar
No.14810
Robbbert
Developer
Mar 7, 2018, 10:50
Further testing...

>mame nes timelordu

better gfx, a corrupted player can be seen, the scores get corrupted when the player moves. Can't seem to jump.

>mame nespal timelord

player is invisible, scores are corrupted, can't seem to do anything much.

The end result, from what I can see, is the game is not working.
User avatar
No.14811
Gryzor1363
Tester
Mar 7, 2018, 11:57
edited on: Mar 7, 2018, 11:59
Hello Tafoid,

thanks for your quick feedback. I confirm I used MAME for my screenshot taken in-game, although not sure whether I simply pushed F12 or added some function keys, which is think is required to snap with HLSL effects applied and provide proof of dysfunction "as is".
User avatar
No.16131
Gryzor1363
Tester
Feb 12, 2019, 10:30
I confirm that problem is persisting in latest MAMEUI64 release 0.206, with identical behavior.
User avatar
No.16132
Haze
Senior Tester
Feb 12, 2019, 15:41
edited on: Feb 12, 2019, 15:41
IIRC it seemed related to the NES APU IRQ not working properly in the 6502 core when I looked at it.

I don't have the knowledge to fix tho, but at the time I found a list of other games that require the NES APU IRQ to work, and none were functional even if apparently the IRQs were being signalled.
User avatar
No.16147
Gryzor1363
Tester
Feb 15, 2019, 12:16
edited on: 18 days ago
Thanks a lot Haze for the quick reaction. By any chance, would this IRQ be involved in similarly affected games with both corrupted gfx + flawed movement in gaming area such as "Ultimate Stuntman, The (USA)" ? Noticed pretty much the same kind of problem a couple days ago soon after I posted last update. Once I have enough information, I'll raise a dedicated ticket for it too. Sadly my technical knowledge does not allow me to furnish debug data at this stage.
User avatar
No.16714
Gryzor1363
Tester
17 days ago
edited on: 17 days ago
Same dysfunction as of MAMEUI v0.211.

Is there a reliable source with info on recent emulation status and development for the NES, other than the related Wiki page, by any chance ?
Any help would be appreciated.

Thanks for all the work.
User avatar
No.16715
Tafoid
Administrator
17 days ago
Either monitoring GitHub: https://github.com/mamedev/mame/commits/master for commits or reading each release's whatsnew.txt
Note: "Bumping" replies of reported bugs stating it is still not working doesn't increase chances it will be looked it.
User avatar
No.16716
AJR
Developer
17 days ago
I've thought that perhaps the NTSC and PAL cartridges should be in separate softlists, so that the same setname will map to the appropriate version for each machine.
User avatar
No.16717
Tafoid
Administrator
16 days ago
AJR: Not to hijack an MT bug, but I have no problems with that, or at the very least have the parent machine match the softlists parent region. Most of the popular consoles have a "Euro" parent to match MAME's long standing stance of most recent english version. This doesn't work well with non-arcades, sadly as per an issue I raised on GitHub: https://github.com/mamedev/mame/issues/1463
User avatar
No.16733
Gryzor1363
Tester
12 days ago
Thanks for the reply Tafoid, duly noted.

I was indeed more into finding out about more ways than I already knew, to get fresh insight into pending bugs precisely to avoid bumping too much, or at all. Your answers confirm that I was already doing what's needed, although GitHub commits and their relevant comments are generally quite vague to me since I haven't ever coded anything remotely as complex , but that would be my problem.